package com.pcloud.common.dto;

import com.pcloud.common.dto.BaseDto;

import java.math.BigDecimal;

/**
 * @Describe: TODO
 * @Author: zhangdongwei
 * @Date: Create on 11:35 2019/7/24 0024
 */
public class StoreFlowInfoDto extends BaseDto {
    /**
     * 标识（appId/productId/bookGroupId）
     */
    private Long originId;
    /**
     * 类型(APP/PRODUCT/BOOK_GROUP)
     */
    private String originType;
    /**
     *具体类型
     */
    private String typeCode;
    /**
     * 标题
     */
    private String title;
    /**
     * 封面图片
     */
    private String coverImg;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 开始时间(MM-dd)
     */
    private String startDate;
    /**
     * 结束时间(MM-dd)
     */
    private String endDate;
    /**
     * 数量（应用、作品下的资源数量， 社群书的群数量，等）
     */
    private Integer resourceNum;
    /**
     * 数量（资源的item数量，群的成员数量，等）
     */
    private Integer resourceItemNum;

    public Long getOriginId() {
        return originId;
    }

    public void setOriginId(Long originId) {
        this.originId = originId;
    }

    public String getOriginType() {
        return originType;
    }

    public void setOriginType(String originType) {
        this.originType = originType;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getResourceNum() {
        return resourceNum;
    }

    public void setResourceNum(Integer resourceNum) {
        this.resourceNum = resourceNum;
    }

    public Integer getResourceItemNum() {
        return resourceItemNum;
    }

    public void setResourceItemNum(Integer resourceItemNum) {
        this.resourceItemNum = resourceItemNum;
    }

    @Override
    public String toString() {
        return "StoreFlowInfoDto{" +
                "originId=" + originId +
                ", originType='" + originType + '\'' +
                ", typeCode='" + typeCode + '\'' +
                ", title='" + title + '\'' +
                ", coverImg='" + coverImg + '\'' +
                ", price=" + price +
                ", startDate='" + startDate + '\'' +
                ", endDate='" + endDate + '\'' +
                ", resourceNum=" + resourceNum +
                ", resourceItemNum=" + resourceItemNum +
                "} " + super.toString();
    }
}
